class PcRoundButton extends React.Component
{
  onClick(e)
  {
    if (e.type === 'touchend')
    {
      //e.stopPropagation();
      e.preventDefault();
      if (e.targetTouches.length>0) return;
    }

    if (this.props.sound) this.props.sound.play();
    if (this.props.onClick) this.props.onClick();
  }

  render()
  {
    return e('div',
      {
        className:"pcelementshowanimation",
        style:
        {
          opacity:0,
          animation:PcConfig.scenario.elementsAnimationStyle,
          animationFillMode:"forwards",
          animationDelay:this.props.showDelay
        }
      },
      e('div',
        {
          className:"pcroundbutton",
          style:
            {
              borderStyle:"solid",
              borderWidth:PcConfig.scenario.buttonsBorderWidth,
              borderColor:PcConfig.scenario.startButtonBorderColor,
              backgroundColor:PcConfig.scenario.startButtonBackgroundColor,
              borderRadius:"50%",
              width:this.props.width,
              height:this.props.height,
              left:this.props.x,
              top:this.props.y,
              display:"table",
              overflow:"auto",
              fontFamily:PcConfig.scenario.fontFamily,
              fontSize:this.props.start ? PcConfig.scenario.fontSizeVeryVeryBig : PcConfig.scenario.fontSize,
              color:this.props.fontColor,
            },
            onClick:(e)=>{this.onClick(e)},
            onTouchEnd:(e)=>{this.onClick(e)}
        },
        e('div',
          {
            style:
            {
              display:"table-cell",
              verticalAlign: "middle",
              textAlign: "center"
            },
            dangerouslySetInnerHTML:{__html:this.props.label}
          }
        )
      )
    );
  }
}
