class PcSlider2 extends React.Component
{
  componentDidMount()
  {
    new Glide('.glide',
    {
      type: 'carousel',
      startAt: 0,
      perView: 1,
      gap: 50*PcConfig.renderSize,
      peek: 200*PcConfig.renderSize,

    }).mount();
  }

  render()
  {
    var slides = [];

    for (var i=0; i<this.props.images.length; i++)
    {
      slides[i] = e('li', {className:"glide__slide", key:"slide"+i},
                    e('div', {style:{height:this.props.height, width:"100%", display:"inline-block", verticalAlign:"middle", position:"relative"}},
                      e('img',
                        {
                          src:this.props.images[i],
                          style:
                          {
                            position:"absolute",
                            maxWidth:"100%",
                            maxHeight:"100%",
                            width: "auto",
                            height: "auto",
                            top:0,
                            bottom:0,
                            left: 0,
                            right: 0,
                            margin: "auto"
                          }
                        })
                      )
                    );
    }

    return e('div',
        {
          className:"pcslidercontainer",
          style:
          {
            position:"absolute",
            opacity:0,
            animation:PcConfig.scenario.elementsAnimationStyle,
            animationFillMode:"forwards",
            animationDelay:this.props.showDelay,
            width:this.props.width,
            height:this.props.height,
            left:this.props.x,
            top:this.props.y
          }
        },

        e('div', {className:"glide"},
          e('div', {className:"glide__track", "data-glide-el":"track"},
            e('ul', {className:"glide__slides"},
              slides
            )
          )
        )
      );
  }
}
