<?php
class Database
{
	protected $_dbConn ;
	protected $_dbLink ;
	
	function Database()
	{
		$this->_dbConn = mysqli_connect(DB_SERVER, DB_USER, DB_PASS) ;
		//var_dump($this->_dbConn);
		//var_dump(is_resource($this->_dbConn));
		if(! $this->_dbConn)
		{
			die("Error in Connecting to the Database Server...");
			//die(mysqli_error($this->_dbConn));
		}

		$this->_dbLink	= mysqli_select_db($this->_dbConn, DB_TABLE) ;
		mysqli_query($this->_dbConn, "SET NAMES 'UTF8'");
	}
	function real_escape_string($string)
	{
		return mysqli_real_escape_string($this->_dbConn, $string);
	}
	function setTable($table)
	{
		$this->_dbLink	= mysqli_select_db($table, $this->_dbConn) ;
		mysqli_query($this->_dbConn, "SET NAMES 'UTF8'");
	}
	function selectonly($query)
	{
		$rs	=	mysqli_query($this->_dbConn, $query) or die(mysqli_error($this->_dbConn));
		return $rs;
	}
		
	function selectAll($sql)
	{ 
		$retResult	=	array();
		
		$rs	=	mysqli_query($this->_dbConn, $sql) or die(mysqli_error($this->_dbConn));
			
		while($row =	mysqli_fetch_object($rs))
		{
			 array_push($retResult, $row) ;
		}
		
		return $retResult;
	}
	
	function select($sql)
	{ 
		$rs	=	mysqli_query($this->_dbConn, $sql) or die(mysqli_error($this->_dbConn));
			
		$row =	@mysqli_fetch_object($rs) ;
		
		return $row;
	}
	
	function insert($table, $arFieldsValues)
	{
		$fields	=	array_keys($arFieldsValues);
		$values	=	array_values($arFieldsValues);
		
		$formatedFields	=	array();
		foreach($fields as $field)
		{
			$field	=	"`" . $field . "`";
			$formatedFields[]	=	$field;
		}
		
		$formatedValues	=	array();
		foreach($values as $val)
		{
			$val = $val !== null ? "'" . mysqli_real_escape_string($this->_dbConn, $val) . "'" : 'NULL' ;
			$formatedValues[]	=	$val;
		}
		
		$sql	=	"INSERT INTO `".$table."` (";
		$sql	.=	join(",  ",$formatedFields).") ";
		$sql	.=	"VALUES( ";
		$sql	.=	join(", ",$formatedValues);
		$sql	.=	")";
		
		mysqli_query($this->_dbConn, $sql) or die("Error: ".mysqli_errno($this->_dbConn)." ".mysqli_error($this->_dbConn));
		return mysqli_insert_id($this->_dbConn);
		
		if(mysqli_query($this->_dbConn,$sql)) return mysqli_insert_id();
		else return false;		
	}
	
	function update($table, $arFieldsValues, $where = '')
	{
		$formatedValues	=	array();
		foreach($arFieldsValues as $key => $val){
			//if(!is_numeric($val)){
				$val	=	$val !== null ? "'".mysqli_real_escape_string($this->_dbConn, $val)."'" : 'NULL' ;
			//}
			$formatedValues[]	=	"$key = $val";
		}
		
	    $sql	=	"UPDATE ".$table." SET ";
		$sql	.=	join(", ",$formatedValues);
		if($where != "")
		{
			$sql	.=	" WHERE ".$where;
		}
		
		$rs	=	mysqli_query($this->_dbConn, $sql) or die(mysqli_error($this->_dbConn));
		return mysqli_affected_rows($this->_dbConn);
		//if(mysqli_query($sql)) return mysqli_affected_rows();
		//else return false;
	}
	
	function delete($table, $where='')
	{
		$sql	=	"DELETE FROM ".$table;
		
		if($where) 
		{
			$sql	.=	" WHERE " . $where;
		}
		
		$rs	=	mysqli_query($this->_dbConn, $sql) or die(mysqli_error($this->_dbConn));
		return mysqli_affected_rows($this->_dbConn);
	}
	
	function query($sql) 
	{
		$rs	=	mysqli_query($this->_dbConn, $sql) or die(mysqli_error($this->_dbConn));
		return mysqli_affected_rows($this->_dbConn);
	}	
}
?>