<?php
session_start();
include_once 'config.php' ;
const RANDOMDBG = false;

function removeOptins($photos, $oConfigXml)
{
	if ($oConfigXml->photoExt->slideshow->answerCondition->lang0!="")
	{
		$n = $oConfigXml->photoExt->slideshow->answerQuestion - 1;

		for ($i=0; $i<count($photos); $i++)
		{
			$lang = $photos[$i]->lang;
			$cond = $oConfigXml->photoExt->slideshow->answerCondition->{"lang".$lang};
			$form = explode("|-|", $photos[$i]->form);
			if ($form[$n]!=$cond)
			{
				array_splice($photos, $i, 1);
				$i--;
			}
		}
	}

	return $photos;
}

$config = array_key_exists('config', $_GET) ? $_GET['config'] : '' ;

$aDiapPhotosId = array() ;
if(array_key_exists('aDiapPhotosId', $_SESSION))
{
	$aDiapPhotosId = $_SESSION['aDiapPhotosId'] ;
}

if(array_key_exists('reset', $_GET))
{
	$_SESSION['aDiapPhotosId'] = array() ;
	exit ;
}

if(!array_key_exists('photos_deleted', $_SESSION)) $_SESSION['photos_deleted'] = array() ;

if(is_server_reachable())
{
	$deleted = file_get_contents(SSITE . 'scripts/get_deleted_photos.php?config=' . $config) ;
	dbg(RANDOMDBG, "deleted is $deleted");
	$aDeleted = trim($deleted) ? explode(',', $deleted) : array() ;

	$_SESSION['photos_deleted'] = $aDeleted ;
}

if($config)
{
	dbg(RANDOMDBG, "has config : $config");
	$nb = count($aDiapPhotosId) ;
	$first_id = $nb ? $aDiapPhotosId[0] : 0 ;
	$last_id = $nb ? $aDiapPhotosId[$nb - 1] : 0 ;

	if (isLocal())
    {
        $oConfigXml = simplexml_load_file(getXmlFile('config.xml')) ;
    }
    else
    {
        $oConfigXml = simplexml_load_file(getXmlFile($config . '.xml')) ;
    }

    //if (!isLocal()) {$onlineCond = " AND sync IS NOT NULL ";} else {$onlineCond="";};



	$sql = 'SELECT * FROM phocabine_photos WHERE ((video IS NULL) OR video=\'\') AND config = "' . $db->real_escape_string($config) . '"';

	if (count($_SESSION['photos_deleted']) > 0)
	{
		dbg(RANDOMDBG, json_encode($_SESSION['photos_deleted']));
		$sql = $sql . ' AND file NOT IN ("' . implode('","', $_SESSION['photos_deleted']) . '")' ;
	}

	$sql1 = $sql . " ORDER BY id_photo DESC" ;

	dbg(RANDOMDBG, "gives request: $sql1");
	$photos = $db->selectAll($sql1) ;

	$photos = removeOptins($photos, $oConfigXml);

	$photo = $photos[0];

	if($photo && $photo->id_photo == $first_id)
	{
		$sql1 = $sql . ' AND id_photo < ' . $last_id . ' ORDER BY id_photo DESC' ;
		$photos = $db->selectAll($sql1) ;

		$photos = removeOptins($photos, $oConfigXml);
		$photo = $photos[0];

		if (!$photo)
		{
			$aDiapPhotosId = array() ;
			$sql1 = $sql . ' ORDER BY id_photo DESC' ;
			$photos = $db->selectAll($sql1) ;
			$photos = removeOptins($photos, $oConfigXml);
			$photo = $photos[0];
		}
	}else{
		$aDiapPhotosId = array() ;
	}

	if ($photo)
	{
		array_push($aDiapPhotosId, $photo->id_photo) ;
		echo 'photos/' .($photo->file_gif ? $photo->file_gif : $photo->file) ;
	}

	$_SESSION['aDiapPhotosId'] = $aDiapPhotosId ;
}
