<?php
include_once 'config.php' ;

$config = array_key_exists('config', $_GET) ? $_GET['config'] : '' ;
$device = array_key_exists('device', $_GET) ? $_GET['device'] : '' ;
$mode = array_key_exists('mode', $_GET) ? $_GET['mode'] : '' ;
$extras = array_key_exists('extras', $_GET) ? $_GET['extras'] : '' ;
$anim = array_key_exists('anim', $_GET) ? $_GET['anim'] : '' ;

$id 	= uniqid($config . '_');
$name 	= getPhotoFile($id . '_original.jpg') ;
$finalname = getPhotoFile($id . '.jpg') ;

// Write file (and keep original for test)
if(array_key_exists('HTTP_RAW_POST_DATA', $GLOBALS))
{
	$fp = fopen( $name, 'wb' );
	fwrite( $fp, $GLOBALS[ 'HTTP_RAW_POST_DATA' ] );
	fclose( $fp ) ;

	$im = imagecreatefromstring($GLOBALS['HTTP_RAW_POST_DATA']);
	$thumb = imagecreatetruecolor(1080, 1080);

	imagecopyresampled($thumb, $im, 0, 0, 0, 0, 1080, 1080, 1800, 1800) ;

	imagejpeg($thumb, $finalname, 90) ;
	imagedestroy($thumb);
	imagedestroy($im);
}

$data = array() ;

if(array_key_exists('email', $_GET) && $_GET['email'])
{
	$data['email'] = $_GET['email'] ;
}else {
	$data['sent'] = 0 ;
}

if(array_key_exists('notif', $_GET))
{
	$data['notif'] = $_GET['notif'] ;
}

if(array_key_exists('notif2', $_GET))
{
	$data['notif2'] = $_GET['notif2'] ;
}

if(array_key_exists('notif3', $_GET))
{
	$data['notif3'] = $_GET['notif3'] ;
}

if(array_key_exists('winner', $_GET))
{
	$data['id_winner'] = $_GET['winner'] ;
	$data['winner_gain'] = $_GET['winner_gain'] ;

	$db->update('photocabine_lots', array('id' => $id, 'won' => 1), 'id_lot = "' . $db->real_escape_string($data['id_winner']) . '"') ;
}

if(array_key_exists('video_question', $_GET))
{
	$data['video_question'] = $_GET['video_question'] ;
}

if(array_key_exists('form', $_GET))
{
	$data['form'] = utf8_encode($_GET['form']) ;
}

if(array_key_exists('habillage', $_GET))
{
	$data['habillage'] = (int) $_GET['habillage'] ;
}

if($mode == 5 || $mode == 6) $data['format'] = $extras ;

if(array_key_exists('video', $_GET))
{
    if ($_GET["video"]=="video_PhotoCabine")
    {
        $data['video'] = 'videodemo.mp4' ;
    }
    else
    {
        if (strpos($_GET["video"], '.mov') !== false)
		{
			$a = explode('/', $_GET["video"]) ;
			$data['video'] = $id . '.mov' ;

			$name     = getVideoFile($id . '.mov') ;
			copy('C:/www/' . $a[count($a) - 1] . '.mov', $name) ;
		}
		else
		{
			$data['video'] = $id . '.flv' ;
			$name     = getVideoFile($id . '.flv') ;
			copy(FMS_STREAMS . $_GET['video'] . '.flv', $name) ;
		}

		$data['sync'] = 0 ;
	}
}

if(array_key_exists('anim', $_GET) && $_GET['anim'] == '1')
{
	$data['sync'] = 0 ;
}

$data['config'] = $config ;
$data['lang'] 	= array_key_exists('lang', $_GET) ? $_GET['lang'] : '0' ;
$data['device'] = $device ;
$data['file'] 	= $id . '.jpg' ;
$data['date'] 	= date('Y-m-d H:i:s') ;

if(array_key_exists('print', $_GET))
{
	$data['print'] = (int) $_GET['print'] ;
}

if(array_key_exists('moderation', $_GET) && $_GET['moderation'] == 1)
{
	$data['sent'] = -1 ;
}

$a = explode('/', $data['file']) ;
$ffile = array_pop($a) ;
$l = strlen($data['config']) ;
$file = substr($ffile, $l + 1, strlen($ffile) - $l - 5) ;

if($device == 0)
{
	try
	{
		$tiny_url = file_get_contents('http://tinyurl.com/api-create.php?url=' . urlencode(BASE . 'scripts/photo.php?share=tw&id=' . $file)) ;

		$data['tiny_url'] = $tiny_url ;
	}catch(Exception $e)
	{

	}
}

$id_photo = $db->insert('phocabine_photos', $data) ;
?>
<xml>
	<id><?php echo $id_photo ; ?></id>
	<photo><?php echo getPhotoUrl($id . '.jpg', $device) ; ?></photo>
	<url><?php echo BASE . 'scripts/photo.php?id=' . $file . '&device=' . $device ; ?></url>
</xml>
