class PcScreenLoadingVideo extends PcScreen
{
  constructor(props)
  {
    super(props);
  }

  testShoots()
  {
    setTimeout(()=>PcCameraControl.transferVideoRecording(()=> {this.props.goNextScreen();}), 2000);
  }

  render()
  {

    if (this.props.active)
    {
      this.testShoots();
    }
    else {
      return null;
    }

    return e('div',
      {
        className:this.state.className,
        index:this.props.index,
        style:
        {
          display: (this.props.active ? 'block' : 'none'),
          fontFamily:PcConfig.scenario.fontFamily,
          animation:this.props.noAnimation?"":this.state.animationStyle
        },
      },

      e(PcLabel,
        {
          label:PcConfig.screen.loading.title,
          title:true,
          width:this.props.width,
          height:"15%",
          fontSize:PcConfig.scenario.fontSizeBig,
          color: PcConfig.scenario.fontColor,
          showDelay:"0,1s"
        }
      ),

      e(PcAnimationLoading,
        {
          x:(this.props.width-(400*PcConfig.renderSize))/2,
          y:(this.props.height-(400*PcConfig.renderSize))/2,
          color: PcConfig.scenario.fontColor,
          showDelay:"0.2s"
        }
      )

    );
  }
}
