<?php
include_once 'config.php';

$config = getParam('config', $_GET);

if(DEVICE_ID == '')
{
    $oConfigXml = simplexml_load_file(getXmlFile($config . '.xml'));
}else{
    $oConfigXml = simplexml_load_file(getXmlFile('config.xml'));
}

$sql = "SELECT * FROM photocabine_lots WHERE date <= NOW() AND won IS NULL AND config = '$config' ORDER BY date ASC";
$win = $db->select($sql);

if ($win)
{
    echo '<xml><id_lot>' . $win->id_lot . '</id_lot><gain>' . $win->gain . '</gain></xml>' ;
}
else
{
  //determine la repartition des gains
  $lots = array();
  $lastInterval = 0;
  $index = 0;

  $nblots = $oConfigXml->photoWin->lots->lots->count;

  for ($i=0; $i<$nblots; $i++)
  {
    $nLot = $i;

    $freq = $oConfigXml->photoWin->lots->lots->{"frequency$i"};
    $nbMax = $oConfigXml->photoWin->lots->lots->{"max$i"};

    if ($freq!='' && $freq>0)
    {
      $sql = 'SELECT COUNT(*) nb FROM photocabine_lots WHERE SUBSTRING(date, 1, 10) = "' . date('Y-m-d') . '" AND gain=' .$nLot. ' AND config = "' . $db->real_escape_string($oConfigXml->id) . '"' ;
      $nbWin = $db->select($sql)->nb;

      if ($nbMax=="" || $nbWin<$nbMax)
      {
        $lots[$index]->nLot = $nLot;
        $lots[$index]->start = $lastInterval;
        $lots[$index]->end = $lastInterval + (1/$freq);
        $lastInterval = $lots[$i]->end;
        $index++;
      }
    }
  }

  //determine le gain
  $winner = false;
  $rval = mt_rand() / mt_getrandmax();

  for ($i=0; $i<count($lots); $i++)
  {
    if ($lots[$i]->start <= $rval && $rval < $lots[$i]->end)
    {
      $winner = true;
      $gain = $lots[$i]->nLot;

      $data = array() ;
      $data['date'] = date('Y-m-d H:i:s') ;
      $data['config'] = $oConfigXml->id ;
      $data['gain'] = $gain;
      $data['auto'] = 1;
      $id_lot = $db->insert('photocabine_lots', $data);

      break;
    }
  }

  if ($winner)
  {
    echo '<xml><id_lot>' . $id_lot . '</id_lot><gain>' . $gain . '</gain></xml>' ;
  }
  else
  {
      echo '<xml><id_lot>0</id_lot><gain>-1</gain></xml>' ;
  }

}
?>
