<?php
include_once 'config.php' ;

$config = array_key_exists('config', $_GET) ? $_GET['config'] : '' ;
$device = array_key_exists('device', $_GET) ? $_GET['device'] : '' ;

$id 	= uniqid($config . '_');
$name 	= getPhotoFile($id . '.jpg') ;

// Write file
if(array_key_exists('HTTP_RAW_POST_DATA', $GLOBALS))
{
	$fp = fopen( $name, 'wb' );
	fwrite( $fp, $GLOBALS[ 'HTTP_RAW_POST_DATA' ] );
	fclose( $fp ) ;
}

$data = array() ;

if(array_key_exists('email', $_GET) && $_GET['email'])
{
	$data['email'] = $_GET['email'] ;
}else {
	$data['sent'] = 0 ;
}

if(array_key_exists('notif', $_GET))
{
	$data['notif'] = $_GET['notif'] ;
}

if(array_key_exists('notif2', $_GET))
{
	$data['notif2'] = $_GET['notif2'] ;
}

if(array_key_exists('notif3', $_GET))
{
	$data['notif3'] = $_GET['notif3'] ;
}

if(array_key_exists('video_question', $_GET))
{
	$data['video_question'] = $_GET['video_question'] ;
}

if(array_key_exists('form', $_GET))
{
	$data['form'] = $_GET['form'] ;
}

if(array_key_exists('video', $_GET))
{
	$data['video'] = $id . '.flv' ;
	$data['sync'] = 0 ;
	
	$name 	= getVideoFile($id . '.flv') ;
	copy(FMS_STREAMS . $_GET['video'] . '.flv', $name) ;
}

if(array_key_exists('anim', $_GET) && $_GET['anim'] == '1')
{
	$data['sync'] = 0 ;
}

$data['config'] = $config ;
$data['lang'] 	= array_key_exists('lang', $_GET) ? $_GET['lang'] : '0' ;
$data['device'] = $device ;
$data['file'] 	= $id . '.jpg' ;
$data['date'] 	= date('Y-m-d H:i:s') ;

$a = explode('/', $data['file']) ;
$ffile = array_pop($a) ;
$l = strlen($data['config']) ;
$file = substr($ffile, $l + 1, strlen($ffile) - $l - 5) ;

if($device == 0)
{
	try
	{
		$tiny_url = file_get_contents('http://tinyurl.com/api-create.php?url=' . urlencode(BASE . 'scripts/photo.php?share=tw&id=' . $file)) ;
		
		$data['tiny_url'] = $tiny_url ;
	}catch(Exception $e)
	{
		
	}
}

$id_photo = $db->insert('phocabine_photos', $data) ;

if(!array_key_exists('video', $_GET))
{
	$sql = 'SELECT * FROM phocabine_photos WHERE config = "' . $db->real_escape_string($config) . '" AND video != "" AND id_photo < ' . $id_photo . ' ORDER BY id_photo DESC' ;
	$video = $db->select($sql) ;
	
	if($video)
	{
		$dataV = array() ;
		$dataV['email'] = $data['email'] ;
		if(array_key_exists('notif', $data)) $dataV['notif'] = $data['notif'] ;
		if(array_key_exists('notif2', $data)) $dataV['notif2'] = $data['notif2'] ;
		if(array_key_exists('notif3', $data)) $dataV['notif3'] = $data['notif3'] ;
		
		$db->update('phocabine_photos', $dataV, 'id_photo = ' . $video->id_photo) ;
		
		if($video->sync == 1)  $db->query('UPDATE phocabine_photos SET sync = NULL WHERE id_photo = ' . $video->id_photo) ;
	}
}
?>
<xml>
	<id><?php echo $id_photo ; ?></id>
	<photo><?php echo getPhotoUrl($id . '.jpg', $device) ; ?></photo>
	<url><?php echo BASE . 'scripts/photo.php?id=' . $file . '&device=' . $device ; ?></url>
</xml>